package org.ietf.jgss;

import java.security.Provider;
import sun.security.jgss.GSSManagerImpl;

public abstract class GSSManager
{
    public GSSManager() {
    }
    
    public static GSSManager getInstance() {
        return new GSSManagerImpl();
    }
    
    public abstract Oid[] getMechs();
    
    public abstract Oid[] getNamesForMech(Oid p0) throws GSSException;
    
    public abstract Oid[] getMechsForName(Oid p0);
    
    public abstract GSSName createName(String p0, Oid p1) throws GSSException;
    
    public abstract GSSName createName(byte[] p0, Oid p1) throws GSSException;
    
    public abstract GSSName createName(String p0, Oid p1, Oid p2) throws GSSException;
    
    public abstract GSSName createName(byte[] p0, Oid p1, Oid p2) throws GSSException;
    
    public abstract GSSCredential createCredential(int p0) throws GSSException;
    
    public abstract GSSCredential createCredential(GSSName p0, int p1, Oid p2, int p3) throws GSSException;
    
    public abstract GSSCredential createCredential(GSSName p0, int p1, Oid[] p2, int p3) throws GSSException;
    
    public abstract GSSContext createContext(GSSName p0, Oid p1, GSSCredential p2, int p3) throws GSSException;
    
    public abstract GSSContext createContext(GSSCredential p0) throws GSSException;
    
    public abstract GSSContext createContext(byte[] p0) throws GSSException;
    
    public abstract void addProviderAtFront(Provider p0, Oid p1) throws GSSException;
    
    public abstract void addProviderAtEnd(Provider p0, Oid p1) throws GSSException;
}
